<?php define('WEARNINGS', 1);
define('H', $_SERVER['DOCUMENT_ROOT'] . '/');
require_once H.'kernel/settings.php';

$set['title']='Перенаправление';
require_once H.'kernel/switch/thead.php';
title();
if (preg_match('#^(ht|f)tps?://#',base64_decode($_GET['go']))){
if (isset($_SESSION['adm_auth']))unset($_SESSION['adm_auth']);
exit(header("Location: ".base64_decode($_GET['go'])));
}
else
exit(header ("Location: /index.php"));
require_once H.'kernel/switch/tfoot.php';
?>